<?php 
	require_once ( 'eu-cookie/euc.php' );
	$options = array (
		"print" => false,
		"css_type" => 'single',
		"cookiename" => 'euc_has_seen5'
	);
	$euc = new euc ( $options );
?>
<!DOCTYPE html>
<html lang="de">
<head>
	<meta http-equiv="content-type" content="text/html;charset=utf-8" />
	<title>EU Cookie Richtlinien Umsetzung - Beispiel 2</title>
	<style type="text/css" media="screen">
		#oelogo { width: 800px; text-align: center; }
		#outline { width: 800px; margin: 2em auto; border: solid 1px #999; }
		#text { font-family: "Lucida Grande", Arial, sans-serif; padding: 0.6em; }
		#foot { font-family: "Lucida Grande", Arial, sans-serif; text-align: center; font-size: 0.8em; }
		h1 { color: #778fbd; font-size: 2em;  font-weight: 500; margin: 0; }
		h2 { color: #778fbd; font-size: 1.6em;  font-weight: 400; margin-top: 0.4em; }
		p { color: #666; font-size: 1em; font-weight: normal; margin-top: 0; }
		p.active { color: #000; padding: 4px; border: 1px solid #666; }
		a { color: #666; text-decoration: underline; }
		a:hover { color: #000; }
	</style>
	<?php
		print $euc->cssbuff;
	?>
</head>
<body>
	<div id="outline">
		<div id="text">
			<div id="oelogo"><img src="http://open-eye.de/ci/logo_ee.gif" /></div>
			<h1>EU Cookie Hinweis</h1>
			<h2>Oder besser vielleicht <i>Adsense Cookie Hinweis</i>?</h2>
			<p>Direkt zum <a href="#download">Download</a></p>
			<p>euc.php ist eine Beispiel php Klasse, wie man die Einbindung eines solchen Cookie Hinweises in php Projekte realisieren könnte.</p>
			<p class="active">Dieses Beispiel zeigt den Cookie-Hinweis einmalig an, setzt automatisch ein Cookie, das der Hinweis gezeigt wurde und blendet den Hinweis per CSS Animation nach einer Weile aus. Wenn man mit der Maus auf den Hinweis geht, wird die Animation unterbrochen/verzögert. <b>Eigentlich wie das erste Beispiel, aber mit valide in den Head gesetzem CSS.</b> (Natürlich können Sie die CSS Funktionalität der Klasse auch deaktivieren und die CSS Anweisungen direkt in ihre vorhandene CSS-Datei schreiben) Bei einem erneuten Laden der Seite wird der Hinweis <b>und das CSS!!</b> nicht wieder eingeblendet, wenn Cookies zugelassen wurden. Verwendeter Cookie Name: euc_has_seen5</p>
			<p>Die Klasse enthält verschiedene Optionen und <a href="#beispiele">Beispiele</a>, wie so eine Einbindung vorgenommen werden könnte. Sie können die Klasse direkt so selber nutzen oder auf Basis dieser Klasse ihre eigene Lösung entwickeln. Insbesondere für die CSS Einbindung und eventuelle Javascript Funktionalitäten gibt es so endlos viele Möglichkeiten, dass hier nur Beispiele geliefert werden können.</p>
			<p>Bitte verstehen Sie, dass ich keine Haftung für eventuell aus der Nutzung entstehende Schäden übernehme - Nutzung auf eigene Verantwortung!</p>
			<h2 id="beispiele">Beispiele</h2>
			<ul>
				<li><a href="index.php">Nur Voreinstellungen</a></li>
				<li><a href="index2.php">Zustimmungsbutton (mit Ajax/Javascript)</a></li>
				<li><a href="index3.php">Zustimmungsbutton (ohne Javascript)</a></li>
				<li><a href="index4.php">Gepufferte Ausgabe (für CMS Systeme etc.)</a></li>
				<li><b>Gepufferte Ausgabe mit abgetrenntem CSS (um es in den Head-Tag zu setzen) (diese Seite)</b></li>
			</ul>
			<h2 id="download">Download</h2>
				<p>Download der euc.php Klasse mit Beispiel Dateien als:</p>
				<ul>
					<li><a href="eucookie.zip">ZIP</a></li>
					<li><a href="eucookie.tar.gz">TAR</a></li>
				</ul>
		</div>	
	</div>
	<div id="foot"><a href="impressum.htm">Impressum</a></div>
	<?php
		print $euc->buff;
	?>
</body>
</html>